Lists.SetterByIndex (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3

## Class Lists.SetterByIndex

- java.lang.Object
- - org.apache.cassandra.cql3.Operation
  - - org.apache.cassandra.cql3.Lists.SetterByIndex

- Enclosing class:
    Lists

      public static class Lists.SetterByIndex
      extends Operation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.Operation

      `Operation.Addition, Operation.ColumnDeletion, Operation.ElementDeletion, Operation.Prepend, Operation.RawDeletion, Operation.RawUpdate, Operation.SetElement, Operation.SetValue, Operation.Substraction`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.Operation

      `column, t`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lists.SetterByIndex(ColumnDefinition column, Term idx, Term t)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectMarkerSpecification(VariableSpecifications boundNames)` Collects the column specification for the bind variables of this operation.
    `void` | `execute(java.nio.ByteBuffer rowKey, ColumnFamily cf, Composite prefix, UpdateParameters params)` Execute the operation.
    `boolean` | `requiresRead()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lists.SetterByIndex

          public Lists.SetterByIndex(ColumnDefinition column,
                             Term idx,
                             Term t)

  - ### Method Detail

    - #### requiresRead

          public boolean requiresRead()

      Overrides:
        `requiresRead` in class `Operation`
      Returns:
        whether the operation requires a read of the previous value to be executed (only lists setterByIdx, discard and discardByIdx requires that).

    - #### collectMarkerSpecification

          public void collectMarkerSpecification(VariableSpecifications boundNames)

      Description copied from class: `Operation`
      Collects the column specification for the bind variables of this operation.
      Overrides:
        `collectMarkerSpecification` in class `Operation`
      Parameters:
        `boundNames` - the list of column specification where to collect the bind variables of this term in.

    - #### execute

          public void execute(java.nio.ByteBuffer rowKey,
                     ColumnFamily cf,
                     Composite prefix,
                     UpdateParameters params)
                       throws InvalidRequestException

      Description copied from class: `Operation`
      Execute the operation.
      Specified by:
        `execute` in class `Operation`
      Parameters:
        `rowKey` - row key for the update.
        `cf` - the column family to which to add the updates generated by this operation.
        `prefix` - the prefix that identify the CQL3 row this operation applies to.
        `params` - parameters of the update.
      Throws:
        `InvalidRequestException`

Copyright © 2014 The Apache Software Foundation